Last Comment Bug 1125011 - Non-existent security advisory translations are not redirected to en-US
: Non-existent security advisory translations are not redirected to en-US
Status: RESOLVED FIXED
[kb=1640634]
:
Product: www.mozilla.org
Classification: Other
Component: Bedrock (show other bugs)
: Production
: All All
-- normal
: ---
Assigned To: Kohei Yoshino [:kohei]
:
:
Mentors:
https://www.mozilla.org/fr/security/k...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-22 21:50 PST by Kohei Yoshino [:kohei]
Modified: 2015-01-28 06:44 PST (History)
6 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
pull request (44 bytes, text/x-github-pull-request)
2015-01-27 12:38 PST, Kohei Yoshino [:kohei]
no flags Details | Review | Splinter Review

Description User image Kohei Yoshino [:kohei] 2015-01-22 21:50:20 PST
+++ This bug was initially created as a clone of Bug #1093784 +++

These pages should probably be redirected to en-US:

https://www.mozilla.org/fr/security/known-vulnerabilities/firefox/
https://www.mozilla.org/fr/security/advisories/mfsa2015-09/
Comment 1 User image Paul [:pmac] McLanahan 2015-01-23 07:36:25 PST
Good catch Kohei. Looks like it's due to the view classes not using the render from l10n_utils. There's a mixin in l10n_utils that we should be able to drop in and fix it. You want to take this or shall I?
Comment 2 User image Kohei Yoshino [:kohei] 2015-01-23 09:55:11 PST
Will try to fix it.
Comment 3 User image Kohei Yoshino [:kohei] 2015-01-27 12:38:14 PST
Created attachment 8555455 [details] [review]
pull request
Comment 4 User image [github robot] 2015-01-28 06:44:42 PST
Commits pushed to master at https://github.com/mozilla/bedrock

https://github.com/mozilla/bedrock/commit/d4c2f16d784db523a745d5935a170b28ff3c1a83
Fix Bug 1125011 - Non-existent security advisory translations are not redirected to en-US

https://github.com/mozilla/bedrock/commit/a3b0bdd600cf2d642abff2c97bb7e84a40ae9603
Merge pull request #2689 from kyoshino/bug-1125011-security-redirect

Fix Bug 1125011 - Non-existent security advisory translations are not redirected to en-US

Note You need to log in before you can comment on or make changes to this bug.